%define upstream_name    Specio-Library-Path-Tiny
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Path::Tiny types and coercions for Specio
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Specio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.180.0
BuildRequires: perl(File::pushd)
BuildRequires: perl(Path::Tiny) >= 0.87.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Specio) >= 0.290.0
BuildRequires: perl(Specio::Declare)
BuildRequires: perl(Specio::Exporter)
BuildRequires: perl(Specio::Library::Builtins)
BuildRequires: perl(Specio::PartialDump)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Specio)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This library provides a set of the Path::Tiny manpage types and coercions
for the Specio manpage. These types can be used with the Moose manpage, the
Moo manpage, the Params::ValidationCompiler manpage, and other modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.50.0-2.mga10
+ Revision: 2214746
- Mageia 10 Mass Rebuild

* Wed Jun 22 2022 tv <tv> 0.50.0-1.mga9
+ Revision: 1865451
- update to 0.05

* Tue Mar 22 2022 umeabot <umeabot> 0.40.0-4.mga9
+ Revision: 1818998
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-3.mga8
+ Revision: 1506182
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.40.0-2.mga7
+ Revision: 1286014
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 shlomif <shlomif> 0.40.0-1.mga7
+ Revision: 1132050
- imported package perl-Specio-Library-Path-Tiny


* Fri Jul 28 2017 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
